Skip to main content
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
onboarding
/
{step}
Advance Step
curl --request PATCH \
  --url https://api.example.com/api/v1/teams/{team_id}/onboarding/{step} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "step": "<string>",
  "connections": [
    {
      "provider": "<string>",
      "label": "<string>",
      "required": false,
      "type": "oauth",
      "connected": false,
      "fields": [
        {
          "key": "<string>",
          "label": "<string>",
          "type": "text",
          "placeholder": "",
          "help": "",
          "default": ""
        }
      ]
    }
  ],
  "cycle_configured": false,
  "loops_configured": false,
  "lifecycle_type": "cyclical",
  "requires_brand": "optional",
  "chat_enabled": true,
  "cycle_start_mode": "<string>",
  "trigger_types": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required
step
string
required

Body

application/json

The body is of type Body · object.

Response

Successful Response

step
string
required
connections
ConnectionRequirement · object[]
cycle_configured
boolean
default:false
loops_configured
boolean
default:false
lifecycle_type
string
default:cyclical
requires_brand
string
default:optional
chat_enabled
boolean
default:true
cycle_start_mode
string | null
trigger_types
string[]